import type { ExtractPropTypes } from 'vue';
import type { UploadUserFile } from './upload';
import type UploadContent from './upload-content.vue';
export declare const uploadContentProps: {
    readonly fileList: import("element-ps/es/utils").BuildPropReturn<import("element-ps/es/utils").PropWrapper<UploadUserFile[]>, () => [], unknown, unknown, unknown>;
    readonly beforeUpload: import("element-ps/es/utils").BuildPropReturn<import("element-ps/es/utils").PropWrapper<(rawFile: import("./upload").UploadRawFile) => import("element-ps/es/utils").Awaitable<boolean | void | File | Blob | null | undefined>>, () => void, unknown, unknown, unknown>;
    readonly action: import("element-ps/es/utils").BuildPropReturn<StringConstructor, "#", unknown, unknown, unknown>;
    readonly headers: import("element-ps/es/utils").BuildPropReturn<import("element-ps/es/utils").PropWrapper<Record<string, any> | Headers>, unknown, unknown, unknown, unknown>;
    readonly method: import("element-ps/es/utils").BuildPropReturn<StringConstructor, "post", unknown, unknown, unknown>;
    readonly data: import("element-ps/es/utils").BuildPropReturn<ObjectConstructor, () => import("element-ps/es/utils").Mutable<{}>, unknown, unknown, unknown>;
    readonly multiple: import("element-ps/es/utils").BuildPropReturn<BooleanConstructor, false, unknown, unknown, unknown>;
    readonly name: import("element-ps/es/utils").BuildPropReturn<StringConstructor, "file", unknown, unknown, unknown>;
    readonly drag: import("element-ps/es/utils").BuildPropReturn<BooleanConstructor, false, unknown, unknown, unknown>;
    readonly withCredentials: BooleanConstructor;
    readonly showFileList: import("element-ps/es/utils").BuildPropReturn<BooleanConstructor, true, unknown, unknown, unknown>;
    readonly accept: import("element-ps/es/utils").BuildPropReturn<StringConstructor, "", unknown, unknown, unknown>;
    readonly type: import("element-ps/es/utils").BuildPropReturn<StringConstructor, "select", unknown, unknown, unknown>;
    readonly autoUpload: import("element-ps/es/utils").BuildPropReturn<BooleanConstructor, true, unknown, unknown, unknown>;
    readonly listType: import("element-ps/es/utils").BuildPropReturn<StringConstructor, "text", unknown, "text" | "picture" | "picture-card", unknown>;
    readonly httpRequest: import("element-ps/es/utils").BuildPropReturn<import("element-ps/es/utils").PropWrapper<import("./upload").UploadRequestHandler>, import("./upload").UploadRequestHandler, unknown, unknown, unknown>;
    readonly disabled: BooleanConstructor;
    readonly limit: NumberConstructor;
};
export declare type UploadContentProps = ExtractPropTypes<typeof uploadContentProps>;
export declare type UploadContentInstance = InstanceType<typeof UploadContent>;
